10 REMark $$chan=5
11 REMark $$stak=384
12 REMark $$heap=1544
13 :
14  REMark + ------------------------------------------------------------------------ +
15  REMark |<                          MatriQx Screen Saver                          >|
16  REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
17  vr$ =  '0.30': REMark pjw, 2oi5+                                                  |
18  REMark + ------------------------------------------------------------------------ +
19 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
20 REMark | V0.10. New method, abandoning SCROLL and using arrays instead            |
21 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
22 REMark | V0.20. Mixed method, using both SCROLL and print                         |
23 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
24 REMark | V0.30. Revert to SCROLL due to better speed and less meta data           |
25 REMark + ------------------------------------------------------------------------ +
26 :
27 time = DATE: Init
28 :
29 REMark + ------------------------------------------------------------------------ +
30 REMark |<                               Configure                                >|
31 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
32 REMark |                                                                          |
33 REMark + ------------------------------------------------------------------------ +
34 :
35 csize_w%       =     1: csize_h% = 0:    REMark Char width, char height (see below)
36 pad%           =     2:                  REMark Vertical padding pixels
37 space          =     5:                  REMark Free space between vertical chars
38 gap%           =     0:                  REMark Fixed v gap when not rnd
39 maxgap%        =     4:                  REMark Max vertical gap (random only)
40 maxspd%        =    40:                  REMark Max scroll distance
41 rndvgap        =     1:                  REMark Randomise vgap (1), fixed vgap (0)
42 rndgroupchars  =     1:                  REMark Randomly group chars (on/off)
43 rndschemes     =  1000:                  REMark Occasionally change schemes
44 :
45 REMark schemes$ = 'gbroym': csets$ = 'abdhcs': rem All schemes and charsets equally
46 REMark SchemeSelect schemes$, csets$, 0, 0
47 schemes$ = 'gbooy': csets$ = 'abbdhccs': REMark Prefered schemes, some more
48 SchemeSelect schemes$, csets$, -1, 1
49 :
50 :
51 REMark + ------------------------------------------------------------------------ +
52 REMark |<                           Main Program Loop                            >|
53 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
54 :
55 :
56 REMark Prepare control arrays:
57 InitLoop
58 :
59 x% = -1: y% = x%: v% = 9: ox% = x%: oy% = y%
60 REPeat lp
61  IF NOT RND(0 TO rndschemes) + RND(0 TO xs%): SchemeSelect schemes$, csets$, 0, 1
62  IF NOT RND(0 TO 10000) THEN
63   REMark Congest!
64   IF RND(0 TO 1) THEN
65    t% = RND(0 TO cx% - 20)
66    FOR i% = t% TO RND(t% TO t% + 20): spd%(i%) = -1
67   ELSE
68    IF RND(0 TO 1) THEN
69     REMark Sinus wave uncongest
70     t% = RND(0 TO 6)
71     FOR i% = 0 TO cx%: spd%(i%) = 4.7 * (SIN(i% + t%) + 1)
72    ELSE
73     REMark Uncongest
74     FOR i% = 0 TO cx%: spd%(i%) = ABS(spd%(i%))
75    END IF
76   END IF
77  END IF
78  REMark Countdown to display column (speed)
79  c% = RND(0 TO cx%)
80  p% = spd%(c%)
81  IF p% < 0: NEXT lp
82  IF p% > 1: spd%(c%) = spd%(c%) - 1: NEXT lp
83 :
84  ScrCol c%
85  spd%(c%) = RND(0 TO maxspd%)
86  IF Poll: EXIT lp
87  ox% = x%: oy% = y%
88 END REPeat lp
89 :
90 CLCHP
91 CLOSE
92 :
93 :
94 REMark + ------------------------------------------------------------------------ +
95 REMark |<                   Sub-routines of main program loop                    >|
96 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
97 REMark |                                                                          |
98 REMark + ------------------------------------------------------------------------ +
99 :
100 DEFine PROCedure InitLoop
101 LOCal i%
102 SetCSIZE#ch; csize_w%, csize_h%, pad%
103 SetPAPER#ch; pap: REMark Only after csize known
104 cx% = (xs% div wd%) - 1: cy% = (ys% div hi%) - 1: REMark cx/cy = number of columns/rows
105 DIM spd%(cx%)
106 FOR i% = 0 TO cx%: spd%(i%) = RND(0 TO maxspd%)
107 END DEFine InitLoop
108 :
109  REMark + ------------------------------------------------------------------------ +
110  REMark |<                            ScrCol - Scroll                             >|
111  REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
112 :
113 DEFine PROCedure ScrCol(c%)
114 LOCal vgap%, k$(1)
115 REMark Fixed or variable vgap?
116 IF rndgap THEN
117  vgap% =  RND(0 TO maxgap%)
118 ELSE
119  vgap% =  gap%
120 END IF
121 :
122 WINDOW#cs; wd%, ys%, c% * wd%, 0
123 SCROLL#cs; hi% + vgap%
124 :
125 REMark Insert spaces
126 IF NOT RND(0 TO space) THEN
127  REMark Implement grouping policy
128  IF NOT RND(0 TO 70) AND rndgroupchars THEN
129   IF fgroup$ = fg_plain$ THEN
130    SCROLL#cs; hi% + vgap%
131 :
132    OutPut
133    FOR i% = 1 TO RND(2 TO groupchars)
134     k$ = str$(RND(1 TO LEN(str$)))
135     SELect ON cs_current
136      = cs_bin, cs_dec, cs_hex
137        IF NOT k$ INSTR '0123456789ABCDEF': EXIT i%
138     END SELect
139     CURSOR#ch; c% * wd% + pad%, 0
140     BPUT#ch; CODE(k$)
141     SCROLL#cs; hi% + vgap%
142    END FOR i%
143   END IF
144   SCROLL#cs; hi% + vgap%
145   spd%(c%) = -1
146  ELSE
147   OutPut
148  END IF
149 END IF
150 END DEFine ScrCol
151 :
152 DEFine PROCedure OutPut
153 loc chr%
154 chr% = code(str$(RND(1 TO LEN(str$))))
155 IF chr% <> 32 THEN
156  CURSOR#ch; c% * wd% + pad%, 0
157  SetINK#ch; RND(1 TO 3)
158  SetFount#ch; RND(1 TO LEN(fgroup$))
159  BPUT#ch; chr%
160 END IF
161 END DEFine OutPut
162 :
163 REMark + ------------------------------------------------------------------------ +
164 REMark |<                                SetFount                                >|
165 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
166 :
167 DEFine PROCedure SetFount(ch, fnum)
168 LOCal fnt
169 fnt = Founts(CODE(fgroup$(fnum)))
170 IF PEEK(fnt) >= 127 THEN
171  CHAR_USE#ch; f_ql, fnt
172 ELSE
173  CHAR_USE#ch; fnt, f_ql
174 END IF
175 END DEFine SetFount
176 :
177 REMark + ------------------------------------------------------------------------ +
178 REMark |<                                  Poll                                  >|
179 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
180 :
181 DEFine FuNction Poll
182 LOCal k%
183 REMark RDPT#ch; v%, x%, y%, 0
184 REMark k% = v% DIV 256
185 k% = CODE(INKEY$(#ch; 0))
186 if keyrow(7) = 4: k% = 10: pause#ch; 10: rem Not registered by CueDark
187 SELect ON k%
188  = 0: REMark Moved?
189    IF ox% <> -1 AND (x% <> ox% OR y% <> oy%): RETurn -1
190  = 10: REMark Next random scheme
191    SchemeSelect schemes$, csets$, -1, -1
192    BEEP 2,2
193  = 27: RETurn -1
194  = 43: REMark + Alter Csize width
195    csize_w% = (csize_w% + 1) MOD 4
196    InitLoop
197    BEEP 2,2
198  = 45: REMark - Alter Csize height
199    IF csize_h% = 0: csize_h% = 1: ELSE csize_h% = 0
200    InitLoop
201    BEEP 2,2
202  = 49 TO 54: REMark Colour Scheme
203    Scheme k% - 49: SetPAPER#ch; pap
204    BEEP 2,2
205  = 65, 97: REMark       A - alpha
206    CharSet cs_alfa, -1
207    BEEP 2,2
208  = 66, 98: REMark       B - binary
209    CharSet cs_bin, -1
210    BEEP 2,2
211  = 68, 100: REMark      D - Decimal
212    CharSet cs_dec, -1
213    BEEP 2,2
214  = 72, 104: REMark      H - hex
215    CharSet cs_hex, -1
216    BEEP 2,2
217  = 77, 109: REMark      M - multi - all
218    CharSet cs_all, -1
219    BEEP 2,2
220  = 83, 115: REMark      S - special
221    CharSet cs_spec, -1
222    BEEP 2,2
223  = 232: REMark F1
224    cm$ = HEX$(JOBID,32)&vr$
225    cm$ = cm$&HEX$(xs%,16)&HEX$(ys%,16)&HEX$(schemecurrent,8)& HEX$(cs_current,8)
226    cm$ = cm$&HEX$(copt%,8)&HEX$(copts%,8)&HEX$(csize_w%,8)&HEX$(csize_h%,8)
227    cm$ = cm$&HEX$(wd%,8)&HEX$(hi%,8)&HEX$(gap%,8)&HEX$(DATE-time,32)
228    EX_M home$ & 'Stats_obj'; cm$
229  = REMAINDER :          REMark Pause
230    BEEP 2,2
231    IF CODE(INKEY$(#ch; -1)) = 27: RETurn -1
232 END SELect
233 RETurn 0
234 END DEFine Poll
235 :
236 REMark + ------------------------------------------------------------------------ +
237 REMark |<                        End of Main Program Loop                        >|
238 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
239 REMark |                Start of Utility Functions and Procedures                 |
240 REMark + ------------------------------------------------------------------------ +
241 :
242 :
243 REMark + ------------------------------------------------------------------------ +
244 REMark |<                                Colours                                 >|
245 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
246 REMark | Alter or add to these                                                    |
247 REMark + ------------------------------------------------------------------------ +
248 :
249 DEFine PROCedure Scheme(col)
250 SELect ON col
251  = green
252    lite = HEX('CCFFCC')
253    norm = HEX('00FF66')
254    dark = HEX('006633')
255    pap  = 0
256  = blue
257    lite = HEX('ccddff')
258    norm = HEX('56aad1')
259    dark = HEX('204240')
260    pap  = HEX('000011')
261  = red
262    lite = HEX('FFCCCC')
263    norm = HEX('FF0044')
264    dark = HEX('660033')
265    pap  = HEX('071701')
266  = orange
267    lite = HEX('EEE8AA')
268    norm = HEX('FFA500')
269    dark = HEX('cc6a00')
270    pap  = HEX('051525')
271  = grey
272    lite = HEX('aaaaaa')
273    norm = HEX('666666')
274    dark = HEX('252525')
275    pap  = 0
276  = mono
277    lite = HEX('999999')
278    norm = HEX('555555')
279    dark = 0
280    pap  = HEX('eeeeee')
281 END SELect
282 schemecurrent = col
283 END DEFine Scheme
284 :
285 REMark + ------------------------------------------------------------------------ +
286 REMark |<                               MkCSIZE                                  >|
287 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
288 REMark | width       size        height      size                                 |
289 REMark |   0       6 pixels        0       10 pixels                              |
290 REMark |   1       8 pixels        1       20 pixels                              |
291 REMark |   2      12 pixels                                                       |
292 REMark |   3      16 pixels                                                       |
293 REMark |                                                                          |
294 REMark + ------------------------------------------------------------------------ +
295 :
296 DEFine PROCedure SetCSIZE(ch, w%, h%, p%)
297 SELect ON w%
298  = 0: wd% =  6
299  = 1: wd% =  8
300  = 2: wd% = 12
301  = 3: wd% = 16
302 END SELect
303 :
304 wd% = wd% + p% + p%
305 :
306 SELect ON h%: = 0: hi% = 10: = 1: hi% = 20
307 :
308 CSIZE#ch; w%, h%
309 END DEFine SetCSIZE
310 :
311 REMark + ------------------------------------------------------------------------ +
312 REMark |<                           Set Ink and Paper                            >|
313 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
314 REMark |                                                                          |
315 REMark + ------------------------------------------------------------------------ +
316 :
317 DEFine PROCedure SetINK(ch, lite%)
318 SELect ON lite%
319  = 0: REMark Do nothing
320  = 1: INK#ch; lite
321  = 2: INK#ch; norm
322  = REMAINDER : INK#ch; dark
323 END SELect
324 END DEFine SetINK
325 :
326 DEFine PROCedure SetPAPER(ch, c)
327 LOCal df%
328 PAPER#ch; c
329 :
330 REMark Pad right edge
331 df% = xs% MOD wd%
332 IF df%: WINDOW#cs; df%, ys%, xs% - df%, 0: PAPER#cs; c: cls#cs
333 PAPER#cs; c
334 END DEFine SetPAPER
335 :
336 :
337 REMark + ------------------------------------------------------------------------ +
338 REMark |<                    Founts (fonts) and fount schemes                    >|
339 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
340 REMark | Change to other founts, or use different character sets                  |
341 REMark + ------------------------------------------------------------------------ +
342 :
343 DEFine PROCedure MakeFountGroups
344 LOCal i%
345 REMark Not all char sets can/should be displayed with all founts
346 REMark This assembles acceptable fount groups to use with char sets
347 :
348 REMark All
349 fg_all$ = ''
350 FOR i% = 0 TO fountnum: fg_all$ = fg_all$ & CHR$(i%)
351 :
352 REMark Numeric
353 fg_num$ = '': REMark Same for all numeric charsets
354 FOR i% = f_ql, f_squ, f_bold, f_2nd, f_outl: fg_num$ = fg_num$ & CHR$(i%)
355 :
356 REMark Simple
357 fg_plain$ = CHR$(f_all)
358 :
359 REMark Alfa
360 fg_alfa$ = ''
361 FOR i% = f_squ, f_dark, f_updn, f_outl, f_sqr, f_dark, f_all
362  fg_alfa$ = fg_alfa$ & CHR$(i%)
363 END FOR i%
364 :
365 REMark Special
366 fg_spec$ = ''
367 FOR i% = f_spec, f_all: fg_spec$ = fg_spec$ & CHR$(i%)
368 :
369 END DEFine MakeFountGroups
370 :
371 REMark + ------------------------------------------------------------------------ +
372 REMark |<                                CharSet                                 >|
373 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
374 REMark | Assemble the character set and which founts to use                       |
375 REMark + ------------------------------------------------------------------------ +
376 :
377 DEFine PROCedure CharSet(cst, opt%)
378 LOCal i%, o%
379 REMark Create char set and combine with relevant fount group
380 REMark opt = -1 => next opt, = 0 => rnd, = n => opt n
381 :
382 str$ = '': groupchars = 0
383 SELect ON cst
384  = cs_all: REMark All, no options
385    FOR i% = 32 TO 191: str$ = str$ & CHR$(i%)
386    fgroup$ = fg_all$
387    rndgap = rndvgap
388    copt% = 1: copts% = 1
389  = cs_bin: REMark Binary
390    fgroup$ = fg_plain$
391    o% = GetOpt%(4, opt%, optbin%)
392    SELect ON o%
393     = 1: str$ = '01'
394     = 2: str$ = '01.+'
395     = 3: str$ = '0101010101010-+++++#'
396     = 4: str$ = '00000000001111111111.+-*/=$&^%#': fgroup$ = fg_num$
397    END SELect
398    rndgap = 0
399    groupchars = 8
400    copt% = o%: copts% = 4
401  = cs_dec: REMark Decimal
402    fgroup$ = fg_num$
403    str$ = '01234567890'
404    o% = GetOpt%(3, opt%, optdec%)
405    SELect ON o%
406     = 1: fgroup$ = fg_plain$
407     = 2: str$ = str$ & '.-+/*'
408     = 3: str$ = str$ & '#@&%$=.-+/*\^[]{}()<>'
409    END SELect
410    rndgap = 0
411    groupchars = 4
412    copt% = o%: copts% = 3
413  = cs_hex: REMark Hex
414    o% = GetOpt%(3, opt%, opthex%)
415    SELect ON o%
416     = 1: str$ = '01234567890ABCDEF': fgroup$ = fg_plain$
417     = 2: str$ = '01234567890abcdef': fgroup$ = fg_plain$
418     = 3: str$ = '01234567890abcdefABCDEF.$#': fgroup$ = fg_num$
419    END SELect
420    rndgap = 0
421    groupchars = 6
422    copt% = o%: copts% = 3
423  = cs_alfa: REMark Alfa
424    o% = GetOpt%(3, opt%, optalfa%)
425    SELect ON o%
426    = 1: REMark Alphanumeric
427      FOR i% = 48 TO 57, 97 TO 122, 128 TO 171: str$ = str$ & CHR$(i%)
428      fgroup$ = fg_alfa$
429      rndgap = rndvgap
430    = 2: REMark abc
431      FOR i% = 97 TO 122: str$ = str$ & CHR$(i%)
432      fgroup$ = fg_plain$
433      rndgap = 0
434    = 3: REMark ABC
435      FOR i% = 65 TO 90: str$ = str$ & CHR$(i%)
436      fgroup$ = fg_plain$
437      rndgap = 0
438    END SELect
439    groupchars = 6
440    copt% = o%: copts% = 3
441  = cs_spec: REMark Special
442    FOR  i% = 32 TO 255: str$ = str$ & CHR$(i%)
443    fgroup$ = fg_spec$
444    rndgap  = rndvgap
445    copt% = 1: copts% = 1
446 END SELect
447 cs_current = cst
448 END DEFine CharSet
449 :
450 DEFine FuNction GetOpt%(w%, opt%, op%)
451 SELect ON opt%
452  = -1: REMark Next opt
453        op% = (op% MOD w%) + 1
454        RETurn op%
455  =  0: REMark Random
456        RETurn RND(1 TO w%)
457  = REMAINDER : RETurn (ABS(opt%) MOD w%) + 1
458 END SELect
459 END DEFine GetOpt%
460 :
461 DEFine FuNction FountLoad(nm$)
462 LOCal ch, fl, adr, n$
463 IF fountnum >= DIMN(Founts): RETurn -5
464 n$ = home$ & 'fnt_' & nm$ & '_fnt'
465 ch = FOP_IN(n$): IF ch < 0: RETurn ch
466 fl = FLEN(#ch)
467 CLOSE#ch
468 :
469 adr = ALCHP(fl)
470 LBYTES n$, adr
471 fountnum = fountnum + 1
472 Founts(fountnum) = adr
473 RETurn fountnum
474 END DEFine FountLoad
475 :
476 :
477 REMark + ------------------------------------------------------------------------ +
478 REMark |<                            Scheme Selector                             >|
479 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
480 :
481 DEFine PROCedure SchemeSelect(color$, chrset$, fountopt%, csze%)
482 LOCal sh, ct, cz%
483 IF LEN(color$) THEN
484  sh = (color$(1) INSTR 'gbroym') - 1
485  IF LEN(color$) > 1: color$ = color$(2 TO LEN(color$)) & color$(1)
486 ELSE
487  sh = RND(0 TO schemes)
488 END IF
489 :
490 IF LEN(chrset$) THEN
491  ct = (chrset$(1) INSTR 'abdhcs') - 1
492  IF LEN(chrset$) > 1: chrset$ = chrset$(2 TO LEN(chrset$)) & chrset$(1)
493 ELSE
494  ct = RND(0 TO cs_num)
495 END IF
496 :
497 SELect ON csze%
498  = -1: csize_h% = NOT csize_h%: cz% = 1
499        IF csize_h% = 0: csize_w% = (csize_w% + 1) MOD 4
500  =  0: IF NOT RND(0 TO 4): csize_w% = RND(0 TO 3): csize_h% = RND(0 TO 1): cz% = 1
501  =  REMAINDER : cz% = 0: REMark Dont change
502 END SELect
503 Scheme sh
504 CharSet ct, fountopt%
505 IF cz%: InitLoop
506 END DEFine SchemeSelect
507 :
508 :
509 REMark + ------------------------------------------------------------------------ +
510 REMark |<                                  Init                                  >|
511 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
512 REMark | Program initialisation                                                   |
513 REMark + ------------------------------------------------------------------------ +
514 :
515 DEFine PROCedure Init
516 RANDOMISE DATE
517 :
518 IF LEN(CMD$) >= 8 THEN
519  comm$ = CMD$
520  xs% = HEX(comm$(1 TO 4)): ys% = HEX(comm$(5 TO 8))
521  home$ = comm$(10 TO LEN(comm$))
522  CLOSE#0: ch = FOPEN('con'): ERT ch
523 ELSE
524  home$ = HOME_DIR$
525  ch = FOPEN('con'): ERT ch
526  xs% = SCR_XLIM(#ch): ys% = SCR_YLIM(#ch)
527  SPJOB -1, 1
528 END IF
529 WINDOW#ch; xs%, ys%, 0, 0: OUTLN#ch; xs%, ys%, 0, 0
530 cs = FOPEN("con"): ERT cs
531 :
532 :
533 cpld = (PEEK$(\\-4, 4) <> 'SBAS')
534 IF NOT cpld: JOB_NAME "MatriQx"
535 SPJOB -1, 1
536 :
537 REMark + ------------------------------------------------------------------------ +
538 REMark |<                      Scheme and Fount selectors:                       >|
539 REMark + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ +
540 :
541 COLOUR_24
542 schemes = 5: schemecurrent = 0
543 green = 0: blue = 1: red = 2: orange = 3: grey = 4: mono = 5
544 cs_num = 5: cs_current = 0
545 cs_all = 0: cs_bin = 1: cs_dec = 2: cs_hex = 3: cs_alfa = 4: cs_spec = 5
546 optbin% = 0: optdec% = 0: opthex% = 0: optalfa% = 0
547 :
548 DIM Founts(10): fountnum = 0: fgroup$ = ''
549 f_ql    = 0
550 f_dark  = FountLoad("HEADLINE"):    ERT f_dark
551 f_weird = FountLoad("ALIEN"):       ERT f_weird
552 f_updn  = FountLoad("UPSIDEDOWN"):  ERT f_updn
553 f_2nd   = FountLoad("DATA70"):      ERT f_2nd
554 f_spec  = FountLoad("Astro"):       ERT f_spec
555 f_bold  = FountLoad("BOLD"):        ERT f_bold
556 f_outl  = FountLoad("STRIP"):       ERT f_outl
557 f_sqr   = FountLoad("SQUARE"):      ERT f_sqr
558 f_rvs   = FountLoad("REVERSED"):    ERT f_rvs
559 f_all   = FountLoad("EDTCHARS"):    ERT f_all
560 :
561 MakeFountGroups
562 END DEFine Init
563 :
564 :
